# std::basic_stringstream::swap

From cppreference.com
< cpp‎ | io‎ | basic stringstream

void swap( basic_stringstream& other ); |  | (since C++11)

Exchanges the state of the stream with those of `other`.

This is done by callingbasic_iostream<CharT, Traits>::swap(other) and rdbuf()->swap(*other.rdbuf()).

### Parameters

other | - | stream to exchange the state with

### Return value

(none)

### Example

| This section is incomplete Reason: no example

### See also

operator= (C++11) | moves the string stream (public member function)
swap (C++11) | swaps two basic_stringbuf objects (public member function of `std::basic_stringbuf<CharT,Traits,Allocator>`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_stringstream/swap&oldid=50864"